Description

There are situations where you have several files to add to canvas but QGIS doesn't detect CRS for any reason. Often you get a dialog to

select this but if you add several files at once it gets pretty tiresome

I propose that when you select the CRS for the first file and hit Ok another dialog shows up and asks for

- Apply this CRS to all selected files which do no have CRS information

- Apply only to this file, then it will ask for each individual file the CRS file (current behaviour)

It should only modify files that have no CRS associated and only if 2 or mores files are selected

History

#1 - 2014-07-11 03:33 AM - Giovanni Manghi

- Status changed from Open to Feedback

I think that the options in

settings -> options -> CRS -> CRS for new layers

do pretty much what you ask -> if a layer does not have an explicit CRS then QGIS can give it automatically the project CRS or any other project at user

choice.

#2 - 2014-07-11 10:24 AM - Antonio Locandro

True, that is a workaround but then if layers are in different project CRS than project and I want to reproject that wouldn't work

Anyway it's not critcal but nice to have

#3 - 2014-07-17 04:55 AM - Giovanni Manghi

Antonio Locandro wrote:

True, that is a workaround but then if layers are in different project CRS than project and I want to reproject that wouldn't work

I don't understand. QGIS allows you (for each layer that does not have an explicit CRS):

    -  choose manually the CRS
    -  give automatically the layer the project CRS

    -  give automatically the layer a CRS of your choice

reprojection can then be ON or OFF, but this is another option.

#4 - 2014-10-31 03:09 PM - Jürgen Fischer

- Resolution set to worksforme

- Status changed from Feedback to Closed

closing for the lack of feedback
